- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
- BUGS
- SUPPORT
- LICENSE
- AUTHORS
- SEE ALSO

# NAME

Math::BigInt::CalcEmu - Emulate low-level math with BigInt code

# SYNOPSIS

            use Math::BigInt::CalcEmu;

# DESCRIPTION

Contains routines that emulate low-level math functions in BigInt, e.g. optional routines the low-level math package does not provide on its own.

Will be loaded on demand and called automatically by BigInt.

Stuff here is really low-priority to optimize, since it is far better to implement the operation in the low-level math library directly, possible even using a call to the native lib.

# METHODS

__emu_bxor
__emu_band
__emu_bior

# BUGS

Please report any bugs or feature requests to `bug-math-bigint at rt.cpan.org`, or through the web interface at https://rt.cpan.org/Ticket/Create.html?Queue=Math-BigInt (requires login). We will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

# SUPPORT

You can find documentation for this module with the perldoc command.

        perldoc Math::BigInt::CalcEmu

You can also look for information at:

- RT: CPAN's request tracker

  https://rt.cpan.org/Public/Dist/Display.html?Name=Math-BigInt

- AnnoCPAN: Annotated CPAN documentation

  http://annocpan.org/dist/Math-BigInt

- CPAN Ratings

  http://cpanratings.perl.org/dist/Math-BigInt

- Search CPAN

  http://search.cpan.org/dist/Math-BigInt/

- CPAN Testers Matrix

  http://matrix.cpantesters.org/?dist=Math-BigInt

- The Bignum mailing list

  - Post to mailing list

    `bignum at lists.scsys.co.uk`

  - View mailing list

    http://lists.scsys.co.uk/pipermail/bignum/

  - Subscribe/Unsubscribe

    http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/bignum

# LICENSE

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

# AUTHORS

(c) Tels http://bloodgate.com 2003, 2004 - based on BigInt code by Tels from 2001-2003.

# SEE ALSO

Math::BigInt, Math::BigFloat, Math::BigInt::GMP and Math::BigInt::Pari.